Passa al contenuto principale

Sms

SMS sending of the account: one message to one or more recipients (GET /api/v3/sms/{sms_id}/messages)

idintegerrequired
qualitystringrequired

Delivery quality: STANDARD or PREMIUM

statusstringrequired

Status of the sending: DRAFT (not confirmed), PROCESSING (being sent), ACCOMPLISHED (all the messages sent) or CANCELLED (sending stopped)

senderstring | nullnullablerequired

Sender name, for the PREMIUM quality

messagestring | nullnullablerequired
send_fromdate-timenullablerequired

Date and time from which the messages are sent

date_approveddate-timenullablerequired

Date and time the sending was confirmed; null for a DRAFT

stop_datedate-timenullablerequired

Date and time the sending was stopped; null if it was not

sms_countinteger | nullnullablerequired

Number of SMS the message takes for each recipient: a long text is split into several SMS

date_createddate-timerequired
Sms
{
"id": 0,
"quality": "string",
"status": "string",
"sender": "string",
"message": "string",
"send_from": "2024-07-29T15:51:28.071Z",
"date_approved": "2024-07-29T15:51:28.071Z",
"stop_date": "2024-07-29T15:51:28.071Z",
"sms_count": 0,
"date_created": "2024-07-29T15:51:28.071Z"
}